Summary:        Java bindings for GConf
Name:           libgconf-java
Version:        2.12.6
Release:        %mkrel 6.0.4
Epoch:          0
License:        LGPLv2
Group:          System/Libraries
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-2.12.6.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgconf-java/2.12/libgconf-java-2.12.6.md5sum
Source3:        libgconf-java-2.12.6.news
Source4:        java-gnome-macros.tar.bz2
Patch0:		libgconf-java-2.12.6-linkage.patch
BuildRequires:  libGConf2-devel >= 0:2.16.0
BuildRequires:  java-gcj-compat-devel
BuildRequires:  java-rpmbuild
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  libgtk-java-devel >= 0:2.10.2
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
libgconf-java is a language binding that allows developers to use the
GConf APIs from Java applications.  It is part of Java-GNOME.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Conflicts:      libgconf-java < 2.12.6-2

%description    devel
Development files for %{name}.

%prep
%setup -q
%setup -q -T -D -a 4
%patch0 -p0

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAVAH=%{_jvmdir}/java-rpmbuild/bin/javah
export JAR=%{jar}
export JAVADOC=%{javadoc}
export GCJ=%{gcj}
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
# workaround:
# libtool does not use pic_flag when compiling, so we have to force it. 
export GCJFLAGS="-O2 -fPIC" 
%{configure2_5x} --with-jardir=%{_javadir}
make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgconfjava-*.so
%{_libdir}/libgconfjni-*.so
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.zip
%{_libdir}/*la
%{_libdir}/libgconfjava.so
%{_libdir}/libgconfjni.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Aug 26 2010 Funda Wang <fwang@mandriva.org> 0:2.12.6-6.0.4mdv2011.0
+ Revision: 573383
- fix linkage

* Sat Oct 31 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.12.6-6.0.3mdv2010.0
+ Revision: 460320
- Fix documentation path
- Disable parallel build

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add similar fixes as the other java-gnome packages
    - rebuild against new libgcj

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Sep 18 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:2.12.6-6.0.1mdv2009.0
+ Revision: 285766
- fix build

  + David Walluck <walluck@mandriva.org>
    - birthday rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:2.12.6-2mdv2008.0
+ Revision: 46767
- fix group
- remove requires that are handled automatically
- buildrequires java-compat-devel for correct gcj
- use %%gcj
- move .so, .la, pkgconfig, api docs, examples to -devel package
- use headers provided by java-gcj-compat-devel instead of libgcj


* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.6-1mdv2007.0
+ Revision: 106884
- 2.12.6

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-1mdv2007.1
+ Revision: 76503
- 2.12.5

* Sat Oct 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-4mdv2007.0
+ Revision: 71505
- rebuild for new libgtk-java
- Import libgconf-java

* Tue Aug 15 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-3mdv2007.0
- BuildRequires: libGConf2-devel

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdv2007.0
- 2.12.3

* Wed Apr 19 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-6mdk
- BuildRequires: libgtk-java

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-5mdk
- BuildRequires: libgtk-java-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-4mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-3mdk
- set JAR and JAVADOC

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-2mdk
- BuildRequires: java-devel

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Sat May 21 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permissions on src.zip.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgconf-java 2.10.1.

* Sun Apr 03 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgconf-java 2.10.0.

* Sat Mar 05 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libgconf-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgconf-java 2.9.91.1.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgconf-java 2.9.91.

* Fri Feb 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgconf-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources
- Update libgconf-java-install.patch and libgconf-java-jar.patch.bz2

* Tue Nov 02 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.0-1
- Initial release.

